NextGenSoftware.OASIS.API.Apollo.Server 1.0.2

dotnet add package NextGenSoftware.OASIS.API.Apollo.Server --version 1.0.2
NuGet\Install-Package NextGenSoftware.OASIS.API.Apollo.Server -Version 1.0.2
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="NextGenSoftware.OASIS.API.Apollo.Server" Version="1.0.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add NextGenSoftware.OASIS.API.Apollo.Server --version 1.0.2
#r "nuget: NextGenSoftware.OASIS.API.Apollo.Server, 1.0.2"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install NextGenSoftware.OASIS.API.Apollo.Server as a Cake Addin
#addin nuget:?package=NextGenSoftware.OASIS.API.Apollo.Server&version=1.0.2

// Install NextGenSoftware.OASIS.API.Apollo.Server as a Cake Tool
#tool nuget:?package=NextGenSoftware.OASIS.API.Apollo.Server&version=1.0.2

NextGen Software WEB4 OASIS API Apollo Server.

This module is responsible for starting/shutting down the Apollo Server used for GraphQL queries. NOTE: Apollo integration is a current WIP...

NOTE: This module is not intended to be used standalone, it is simply a dependency for the OASIS.API.Native.Integrated.EndPoint module/package and is the recommended way to use the WEB4 OASIS API along with the REST API below.

Initial Release targeting OASIS API v2.3.1 (Current LIVE REST version): https://api.oasisplatform.world

Full documentation and source code can be found here: https://github.com/NextGenSoftwareUK/Our-World-OASIS-API-HoloNET-HoloUnity-And-.NET-HDK

Make sure you check out the Overview and Benefits Of Building On The WEB 4 OASIS API sections above! 😃 Thank you!

Product Compatible and additional computed target framework versions.
.NET net6.0 is compatible.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • net6.0

    • No dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on NextGenSoftware.OASIS.API.Apollo.Server:

Package Downloads
NextGenSoftware.OASIS.API.Core

This is the heart of the OASIS and contains the core OASIS Engine, architecture, managers, interfaces, helpers, holons/objects, object model, enums, etc. It can be used directly in projects/apps if needed (you can use any of the Managers) but it is highly recommended you use the OASIS.API.Native.Integrated.EndPoint or REST API instead.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.2 3,341 8/30/2022

Updated README.